Subject: Re: [PATCH v2 2/2] for-each-repo: work correctly in a worktree

From: Derrick Stolee <[email-masked]>
Date: Fri, 27 Feb 2026 17:28:20 -0500

On 2/27/26 2:41 PM, Junio C Hamano wrote:
> Phillip Wood <[email-masked]> writes:
> 
>>>> 		 * Note that the following options are not in local_repo_env:
>>>> 		 * - EXEC_PATH_ENVIRONMENT persists --exec-path option.
>>>> 		 */
>>>> 		if (strncmp(local_repo_env[i], "CONFIG_", 7) &&
>>>
>>> Minor nit: !starts_with() lets you avoid counting bytes yourself and
>>> hardcoding "7" here.
>>
>> More seriously it should be looking for strings starting with
>> "GIT_CONFIG_", not the name of the preprocessor definitions.
> 
> Thanks.  I missed that completely.

Same! And I will try to find a way to test these things to ensure
these mistakes are not prevented only by careful code reviewers!

Thanks,
-Stolee